package com.xhpc.charging.station.service;

import com.xhpc.common.core.domain.R;
import com.xhpc.common.domain.XhpcEquipmentAccident;

import java.util.List;
import java.util.Map;

public interface IXhpcEquipmentAccidentService {

    List<Map<String, Object>> getLsit(String address);

    R insertXhpcEquipmentAccident(XhpcEquipmentAccident xhpcEquipmentAccident);

    R updateXhpcEquipmentAccident(XhpcEquipmentAccident xhpcEquipmentAccident);

    Map<String, Object> getXhpcEquipmentAccidentById(Long equipmentAccidentId );

    R deleteXhpcEquipmentAccidentById(Long equipmentAccidentId);
}
